Bug 41351 - No arguments code completion for methods called via ?. operator
Summary: No arguments code completion for methods called via ?. operator
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: --- normal
Target Milestone: C7SR1
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2016-05-27 08:03 UTC by David Karlaš
Modified: 2016-06-22 14:44 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description David Karlaš 2016-05-27 08:03:56 UTC
class test
{
	public event EventHandler Handler;
	public test()
	{
		Handler?.Invoke();
	}
}

Placing cursor inside () of Invoke method, and press Cmd+Shift+Space(show parameters code completion)  doesn't do anything.
Comment 1 David Karlaš 2016-05-27 08:05:55 UTC
This doesn't happen just for manual invoking, also during normal code flow, parameter code completion is not shown in case of ?.MethodCall(
Comment 2 xamarin-release-manager 2016-05-27 17:09:08 UTC
Fixed in version 6.1.0.4363 (master)

Author: Mike Kr??ger
Commit: 812d5ef4bf2cfd0ab286d7528938cb8fb073f5ae (mono/monodevelop)
Comment 3 xamarin-release-manager 2016-06-07 21:54:07 UTC
Fixed in version 6.0.1.9 (cycle7)

Author: Lluis Sanchez
Commit: 9eafbe6ce9f13f64e4a1c55d3223cae00922d22a (mono/monodevelop)
Comment 4 xamarin-release-manager 2016-06-15 18:45:57 UTC
Fixed in version 6.0.2.19 (cycle7-app-insights-rebased)

Author: Lluis Sanchez
Commit: 9eafbe6ce9f13f64e4a1c55d3223cae00922d22a (mono/monodevelop)
Comment 5 Sunil Kumar 2016-06-22 14:44:57 UTC
I have checked this issue on Mac and Windows with XS 6.0.2.30 and followed steps mentioned in bug description. I observed that now this issue works fine. Now getting parameters code completion on pressing 'Ctrl+Shift+Space' while cursor is placed  inside () of Invoke method.

Screencast(Mac): http://www.screencast.com/t/tTbkcJgwWcU
Screencast(Win): http://www.screencast.com/t/FoNh4QxtUO

Hence closing this issue.

Environment info:
XamarinStudio-6.0.2.30.dmg
XamarinStudio-6.0.2.30.msi

Build is downloaded from link: https://code.internalx.com/Wrench/BuildDetails?buildId=90e33f85821b535ad311e61a6ac97b